summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarian Csontos <mcsontos@redhat.com>2016-03-01 11:49:05 +0100
committerMarian Csontos <mcsontos@redhat.com>2016-03-08 07:57:02 +0100
commitd8ea419e0cdff0e752ed9a5c796c746734d0a553 (patch)
tree22b3dcf4005628bfc6b11480616770b245806d51
parent72a950e98a85730b6c16b45098d58dd2b6150a8c (diff)
downloadlvm2-d8ea419e0cdff0e752ed9a5c796c746734d0a553.tar.gz
[WIP] Get lvmdbusd work properly
-rw-r--r--test/lib/aux.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index e517bc025..1bc3c5b36 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -303,6 +303,20 @@ lvmpolld_dump() {
(echo 'request="dump"'; echo '##') | lvmpolld_talk "$@"
}
+_prepare_lvmdbusd() {
+ rm -f debug.log_lvmdbusd
+ # skip if we don't have our own lvmdbusd...
+ (which lvmdbusd 2>/dev/null | grep "$abs_builddir") || skip
+
+ kill_sleep_kill_ LOCAL_LVMDBUSD 0
+
+ echo "preparing lvmdbusd..."
+ lvmdbusd -f "$@" -s "$TESTDIR/lvmdbusd.socket" -B "$TESTDIR/lib/lvm" -l all &
+ echo $! > LOCAL_LVMDBUSD
+ while ! test -e "$TESTDIR/lvmdbusd.socket"; do echo -n .; sleep .1; done # wait for the socket
+ echo ok
+}
+
teardown_devs_prefixed() {
local prefix=$1
local stray=${2:-0}